#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f1)
%define		apivers		%(echo %{name} | cut -d '-' -f2-3 | tr -s '-' '.')
#-----------------------------------------------------------------------------
Name		:	glibmm-2-4
Version		:	2.66.6
Release		:	14.8.0.0%{?dist}
Summary		:	C++ interface for the GLib.
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/glibmm

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	glib-devel
BuildRequires	:	doxygen
BuildRequires	:	gi-docgen
BuildRequires	:	graphviz
BuildRequires	:	libsigc++20-devel
BuildRequires	:	meson
BuildRequires	:	mm-common
BuildRequires	:	ninja

Requires	:	glib
#-----------------------------------------------------------------------------
%description
'%{name}' package is a set of C++ bindings for GLib. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README.md NEWS
%{_libdir}/libgiomm-%{apivers}.so.*
%{_libdir}/lib%{sname}-%{apivers}.so.*
%{_libdir}/lib%{sname}_generate_extra_defs-%{apivers}.so.*

#=============================================================================
%package		devel
Summary		:	Headers for developing programs that will use %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains the static libraries and header files needed for
developing glibmm applications.
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/giomm-%{apivers}/giomm.h
%{_includedir}/giomm-%{apivers}/giomm/*.h
%{_includedir}/giomm-%{apivers}/giomm/private/*.h
%{_includedir}/%{sname}-%{apivers}/%{sname}.h
%{_includedir}/%{sname}-%{apivers}/%{sname}/*.h
%{_includedir}/%{sname}-%{apivers}/%{sname}_generate_extra_defs/*.h
%{_includedir}/%{sname}-%{apivers}/%{sname}/private/*.h
%{_libdir}/giomm-%{apivers}/include/*.h
%{_libdir}/libgiomm-%{apivers}.so
%{_libdir}/%{sname}-%{apivers}/include/glibmmconfig.h
%{_libdir}/%{sname}-%{apivers}/proc/generate_wrap_init.pl
%{_libdir}/%{sname}-%{apivers}/proc/gmmproc
%{_libdir}/%{sname}-%{apivers}/proc/m4/*.m4
%{_libdir}/%{sname}-%{apivers}/proc/pm/*.pm
%{_libdir}/lib%{sname}-%{apivers}.so
%{_libdir}/lib%{sname}_generate_extra_defs-%{apivers}.so
%{_libdir}/pkgconfig/giomm-%{apivers}.pc
%{_libdir}/pkgconfig/%{sname}-%{apivers}.pc

#=============================================================================
%package		doc
Summary		:	Documentation for %{name}, includes full API docs

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
This package contains the full API documentation for %{name}.
 
#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%doc %{_defaultdocdir}/%{sname}-%{apivers}/images/*.gif
%doc %{_defaultdocdir}/%{sname}-%{apivers}/reference/%{sname}-%{apivers}.tag
%doc %{_defaultdocdir}/%{sname}-%{apivers}/reference/html/*.svg
%doc %{_defaultdocdir}/%{sname}-%{apivers}/reference/html/*.{dot,html,js,png}
%doc %{_defaultdocdir}/%{sname}-%{apivers}/reference/html/*.css
%doc %{_defaultdocdir}/%{sname}-%{apivers}/reference/html/*.map
%doc %{_defaultdocdir}/%{sname}-%{apivers}/reference/html/*.md5
%doc %{_datadir}/devhelp/books/%{sname}-%{apivers}/%{sname}-%{apivers}.devhelp2

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D build-documentation=true			\
	build

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja							\
	-C build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C build					\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
